<?php
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once ("../venta/cVentapago.php");
$oVentapago = new cVentapago();
require_once("../formatos/formato.php");
	$dts= $oVentapago->mostrarUno($_POST['venpag_id']);
	$dt = mysqli_fetch_array($dts);
		$venpag_mon =$dt['tb_ventapago_mon'];
		$cli_id		=$dt['tb_cliente_id'];
		$fecven =$dt['tb_ventapago_fecven'];
		$ven_numdoc		=$dt['tb_venta_numdoc'];
		$doc_nom		=$dt['tb_documento_nom'];
		$doc_id		=$dt['tb_documento_id'];
		$mone_id		=$dt['tb_moneda_id'];
		$venrel		=$dt['tb_venta_rel'];
		$tipcam		=$dt['tb_venta_tipcam'];
		$emp_id		=$dt['tb_empresa_id'];
	mysqli_free_result($dts);
	if($mone_id==1){
		$lbl_mone = 'S/ ';
	}else if($mone_id==2){
		$lbl_mone = 'US$ ';
	}
	
	
	//echo '-'.$emp_id;
	
	$dts1 = $oVentapago->ver_ventapagoingreso($_POST['venpag_id']);
	$nowrow = mysqli_num_rows($dts1);
	
	if($nowrow>0){
		$dt = mysqli_fetch_array($dts1);
		$venpagiing_id = $dt['tb_ventapagoingresos_id']; 
	}else{
				
	}
	
	//echo $venpagiing_id;
	
	$mod_id=3;
	$est1=1;
	$est2=2;
	$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$venpagiing_id,$est1,$est2);
	while($dt3 = mysqli_fetch_array($dts3))
	{
		$abonos+= $dt3['tb_ingreso_imp'];
	} 
	mysqli_free_result($dts3);
	$saldo=$venpag_mon-$abonos;
	$saldosoles = $saldo * $tipcam;
		
	$fec=date('d-m-Y');
	$est='1';
	$caj_id 	=$_SESSION['caja_id'];
	$modide 	=$_POST['venpag_id'];
	$imp 		=$saldo;
	$det="PAGO VENTA: $doc_nom $ven_numdoc";
?>
<script type="text/javascript">


$('#txt_ing_fec').datepicker({
		format: 'dd-mm-yyyy',
		autoclose:true,
		endDate: '+0d'
	}).on('hide', function () {
		$("#cmb_caj_id").focus();return false;
	})
	
	
	
	function cmb_ban_id1()
	{	
		$.ajax({
			type: "POST",
			url: "../banco/cmb_ban_id.php",
			async:true,
			dataType: "html",                      
			data: ({
			
			}),
			beforeSend: function(){
				$('#cmb_ban_id_ori').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_ban_id_ori').html(html);
			}
		});
	}
	
	
/* function cmb_caja_id(punven_id,moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../caja/cmb_cajaxpuntoventa_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				punven_id: punven_id,
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_caj_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_caj_id').html(html);
			}
		});
	} */

function cliente_cargar_datos(idf){	
	$.ajax({
		type: "POST",
		url: "../cliente/cliente_reg.php",
		async:true,
		dataType: "json",                      
		data: ({
			action: "obtener_datos",
			cli_id:	idf
		}),
		beforeSend: function() {
			//$('#div_proveedor_form').html('Cargando....');
		},
		success: function(data){
			$('#hdd_cli_id').val(idf);	
			$('#txt_cli_nom').val(data.nombre);	
			$('#txt_cli_doc').val(data.documento);						
			$('#txt_cli_dir').val(data.direccion);
			$("#hdd_cli_tip").val(data.tipo);
		}
	});		
}



function validar_campos(modid){
	
	//alert(modid);
	
	if(modid==""){

		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_feccom").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").hide(100);

	}else if(modid==1){

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#div_feccom").show(100);
		$("#div_cob").show(100);

		//$("#div_bandes").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_nroopecom").hide(100);

		$(".lbl_egre_cob").text('Cobrador:');
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id('1','<?php echo $punven_id ?>','<?php echo $mone_id?>');

	}else if(modid==2){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id ?>','2');
	}else if(modid==3){
		
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").show(100);
		//$("#div_cuendes").show(100);
		$("#div_nroopecom").hide(100);
		$("#div_cob").show(100);
		$("#div_feccom").show(100);
		$("#lbl_ban_id_ori").text('Banco Origen:');
		$("#lbl_egr_cuenori").text('Cuenta Origen:');
		$("#lbl_ban_id_des").text('Banco Destino:');
		$("#lbl_egr_feccom").text('Fecha Transferencia:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_egr_cuendes").text('Cuenta Destino:');
		$(".lbl_egre_cob").text('Encargado:');
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id?>','4');

	}else if(modid==4){
		
		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		//$("#div_bandes").show(100);
		//$("#div_cuendes").show(100);
		$("#div_nroopecom").show(100);
		$("#div_feccom").show(100);
		$("#lbl_ban_id_ori").text('Banco Origen:');
		$("#lbl_egr_cuenori").text('Cuenta Origen:');
		$("#lbl_ban_id_des").text('Banco Destino:');
		$("#lbl_egr_feccom").text('Fecha Transferencia:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_egr_cuendes").text('Cuenta Destino:');
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id?>','2');

	}else if(modid==5){
		
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom").hide(100);
		$("#div_feccom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_cob").hide(100);

		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		$("#div_fecemi").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);
		$("#div_importes").show(100);
		$("#lbl_ban_id_ori").text('Banco Cargo:');
		$("#lbl_egr_cuenori").text('Cuenta Cargo:');

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#lbl_egr_fecemi").text('Fecha Emision:');
		$("#lbl_egr_nroopecom").text('Nro Cheque:');
		cmb_caja_id('','<?php echo $punven_id ?>','<?php echo $mone_id?>');

	}
	else if(modid==6){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id ?>','2');
	}else if(modid==7){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").hide(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id?>','3');
	}
}



function cmb_caja_id(tip,punven_id,moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../caja/cmb_cajaxpuntoventa_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				tip : tip,
				punven_id: punven_id,
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_caj_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_caj_id').html(html);
			}
		});
	}
	
function cmb_caja_id2(emp_id,moneid,tip)
	{	
		$.ajax({
			type: "POST",
			url: "../caja/cmb_cajaxpuntoventa_id2.php",
			async:true,
			dataType: "html",                      
			data: ({
				emp_id: emp_id,
				mon_id: moneid,
				tip: tip // 1 : bancos // 2 : detracciones
			}),
			beforeSend: function(){
				$('#cmb_caj_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_caj_id').html(html);
			}
		});
	}

$(function() {
	
	
	
	cmb_ban_id1();
	
	
	$("#cmb_ing_modo").change(function(){
			
			validar_campos($(this).val());
			
		});
	
	$('#txt_ing_det').focus();
	cliente_cargar_datos('<?php echo $cli_id?>')
	//cmb_caj_id(<?php echo $caj_id?>);
	cmb_caja_id('<?php echo $_SESSION['puntoventa_id']?>','<?php echo $mone_id?>');
	
	
	$('#txt_cli_doc,#txt_cli_nom,#txt_cli_nom,#txt_ing_imp_tot,#txt_ing_fecvencom').attr('disabled','disabled');
	
	$('#txt_ing_det').autocomplete({
		minLength: 1,
		source: "../ingreso/ingreso_complete_det.php"
	});
	$('#txt_ing_det').change(function(){
		$(this).val($(this).val().toUpperCase());
	});
	$("#btn_ing_guardar").click(function() {
		$("#for_ing").submit();
	});
$('#for_ing').bootstrapValidator({ 
	     
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {	      	
	      	txt_ing_fec: {
	      		group: '.col-lg-4',
	      		validators: {	      			
	      			date: {
	      				format: 'DD-MM-YYYY',
	      				message: 'Fecha no Valida'
	      			}
	      		}
	      	},txt_ing_det: {
	      		group: '.col-lg-12',
	      		validators: {
	      			notEmpty: {
	      				message: 'Campo vacio *'
	      			}
	      		}
	      	},hdd_cli_id: {
	      		excluded: false,    // Don't ignore me, please!
	      		group: '.col-lg-8',
	      		validators: {
	      			notEmpty: {
	      				message: 'Seleccione Cliente *'
	      			}
	      		}
	      	}, txt_ing_imp: {
	      		group: '.col-lg-4',
	      		validators: { 
	      			notEmpty: {
	      				message: 'Campo vacio *'
	      			} 	      			 
                    }
                },cmb_ing_est: {
                	group: '.col-lg-4',
                	validators: {
                		notEmpty: {
                			message: 'Campo vacio *'
                		}
                	}
                },cmb_caj_id: {
                	group: '.col-lg-4',
                	validators: {
                		notEmpty: {
                			message: 'Seleccione caja *'
                		}
                	}
                },
            }
        }).on('success.form.bv', function(e) { 
        	 $('#div_mensaje_dialog').modal();
        	$.ajax({
			type: "POST",
			url: "../cuentacobrar/cuentacobrar_reg.php",
			async:true,
			dataType: "json",
			data: $("#for_ing").serialize(),
			beforeSend: function(){
			
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_mensaje').html(div);
				
			},
			success: function(data){
				$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');		
				toastr["success"](data.ing_msj);
			},
			complete: function(){
			<?php if($_POST['vista']=="cuentacobrar_inicio"){
			?>
				cuentacobrar();
			<?php 	
			}else{?>
				
cuentacobrar_tabla_cli_fac('<?php echo $_POST['cli_id']; ?>','<?php echo $_POST['emp_id']; ?>','','<?php echo $_POST['mon_id']; ?>','','','1','','','','1','','');
			<?php }?>	
			}
		});
        });
        $("#cmb_caj_id").keydown(function(e){
        	if (e.which == 13){$("#cmb_ing_est").focus();return false; } });
        $("#cmb_ing_est").keydown(function(e){
        	if (e.which == 13){$("#txt_ing_det").focus();return false; } });
        $("#txt_ing_det").keydown(function(e){
        	if (e.which == 13){$("#txt_ing_imp").focus();return false;  } }); 
        $("#txt_ing_imp").keydown(function(e){
        	if (e.which == 13){$("#btn_ing_guardar").focus();return false;
        }
    });
    });
</script>
<!-- Form content -->

<div class="modal-header">
	
	<h4 class="modal-title" id="titlemodal">Información de Ingreso</h4> 
	<button type="button" class="close float-right" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
</div>

<div class="modal-body"><div class="row"><div class="col-xs-12"> 
<div id="div_cliente_form"></div>
<form id="for_ing">
<input type="hidden" id="action_ingreso" name="action_ingreso" value="<?php echo $_POST['action']?>">
<input type="hidden" id="hdd_ing_id" name="hdd_ing_id" value="<?php echo $_POST['ing_id']?>">
<input type="hidden" id="hdd_ing_usureg" name="hdd_ing_usureg" value="<?php echo $_SESSION['usuario_id']?>">
<input type="hidden" id="hdd_ing_usumod" name="hdd_ing_usumod" value="<?php echo $_SESSION['usuario_id']?>">
<input type="hidden" id="hdd_emp_id" name="hdd_emp_id" value="<?php echo $_SESSION['empresa_id']?>">
<input type="hidden" id="hdd_mod_id" name="hdd_mod_id" value="<?php echo $mod_id?>">
<input type="hidden" id="hdd_ing_idm" name="hdd_ing_idm" value="<?php echo $modide?>">
<input type="hidden" id="hdd_ingr_moneid" name="hdd_ingr_moneid" value="<?php echo $mone_id?>">
<input type="hidden" id="hdd_venrel" name="hdd_venrel" value="<?php echo $venrel?>">
<input type="hidden" id="hdd_docid" name="hdd_docid" value="<?php echo $doc_id?>">
<input type="hidden" id="hdd_numdoc" name="hdd_numdoc" value="<?php echo $ven_numdoc?>">
	<div class="row">
<?php  // echo $nowrow.'-'.$venpagiing_id; ?>
		
		<div class="col-lg-6 col-sm-6 col-xs-6">
			<label for="txt_cli_nom">Cliente:</label>
			<input type="text" id="txt_cli_nom" name="txt_cli_nom"   class="form-control" value="<?php echo $cli_nom?>" /> 
			<input type="hidden" id="hdd_cli_id" name="hdd_cli_id" value="<?php echo $cli_id?>" /> 
		</div>
		
		<div class="col-lg-3 col-sm-3 col-xs-4">
			<label for="txt_ing_imp_tot">Importe: </label><?php echo ' '.$lbl_mone; ?>
			<input type="text" name="txt_ing_imp_tot" id="txt_ing_imp_tot" class="moneda2 form-control" style="text-align:right"   value="<?php echo formato_money($venpag_mon)?>" >
			<input type="hidden" name="hdd_ing_imp" id="hdd_ing_imp" value="<?php echo $venpag_mon ?>" >
		</div> 

		<div class="col-lg-3 col-sm-3 col-xs-6">
			<label for="txt_ing_fecvencom">Fecha Vencimiento:</label>
			<input name="txt_ing_fecvencom" type="text"  id="txt_ing_fecvencom" value="<?php echo mostrarFecha($fecven); ?>" class="form-control" > 
		</div>
		
		
		<div class="col-lg-3 col-sm-3 col-xs-6">
			<label for="cmb_ing_modo">Medio pago:</label>
			<select name="cmb_ing_modo" id="cmb_ing_modo"  class="form-control" >
			<option value="">---Seleccionar---</option>
			<option value="1">EFECTIVO</option>
			<option value="2">DEPOSITO</option>
			<option value="3">DETRACCION</option>
			<option value="4">TRANSFERENCIA</option>
			<option value="5">CHEQUE</option>
			<option value="6">TARJETA</option>
			<option value="7">RETENCION</option>
			</select>
		</div>
		
		<div class="col-lg-3 col-sm-3 col-xs-6">
			<label for="cmb_caj_id">Caja:</label>
			<select name="cmb_caj_id" id="cmb_caj_id" class="form-control"></select>
		</div>
		
	
		<div class="col-lg-3 col-sm-3 col-xs-6">
			<label for="txt_ing_det">Detalle:</label>
			<textarea name="txt_ing_det" class="form-control" rows="1" id="txt_ing_det"><?php echo $det?></textarea>
		</div> 
		
		<div class="col-lg-3 col-sm-3 col-xs-6">
			<label for="txt_ing_fec">Fecha Emision:</label>
			<input name="txt_ing_fec" type="text" class="form-control" id="txt_ing_fec" value="<?php echo $fec?>" >
		</div>
		
		
		<div  id="div_banori"   style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label id="lbl_ban_id_ori" for="cmb_ban_id_ori">Banco Origen:</label>
			<select name="cmb_ban_id_ori" id="cmb_ban_id_ori"  class="form-control" >
			</select>
		</div>

		<div id="div_cuenori" style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label for="txt_egre_cuenori" id="lbl_egr_cuenori">Cuenta Origen:</label>
			<input name="txt_egre_cuenori" type="text"  id="txt_egre_cuenori" value="<?php echo '' ?>" class="form-control" > 
		</div>
		
		<div id="div_cuentaprov"  style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label id="lbl_nrocuent_prov" for="txt_nrocuent_cli">Nro Cuenta Cliente:</label>
			<input name="txt_nrocuent_cli" type="text"  id="txt_nrocuent_cli" value="" placeholder ="4528-5869-xxxx-xxxx" class="form-control" > 
		</div>

		<div id="div_fecemi"  style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label id="lbl_ing_fecemi" for="txt_ing_fecemi">Fecha Emision:</label>
			<input name="txt_ing_fecemi" type="text"  id="txt_ing_fecemi" value="<?php echo mostrarFecha($fec); ?>" class="form-control" > 
		</div>


		<div id="div_feccom"  style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label id="lbl_ing_feccom" for="txt_ing_feccom">Fecha Deposito:</label>
			<input name="txt_ing_feccom" type="text"  id="txt_ing_feccom" value="<?php echo mostrarFecha($fec); ?>" class="form-control" > 
		</div>
		
		<div id="div_nroopecom" style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label for="txt_ing_nroopecom" id="lbl_egr_nroopecom">Nro Operacion:</label>
			<input name="txt_ing_nroopecom" type="text"  id="txt_ing_nroopecom" value="<?php echo '' ?>" class="form-control" > 
		</div>


		<div id="div_cob" style="display: none" class="col-lg-6 col-sm-4 col-xs-6">
			<label for="txt_ing_cob" class="lbl_egre_cob">Cobrador:</label>
			<input name="txt_ing_cob" type="text"  id="txt_ing_cob" value="<?php echo '' ?>" class="form-control"> 
		</div>

		
 
	</div>

	<div class="row">
		<div class="col-lg-4 col-sm-4 col-xs-4">
			 
		</div> 
		<div class="col-lg-4 col-sm-4 col-xs-4">
			<label for="">MONTO TOTAL:</label> <br />
			<label for=""><?php echo $lbl_mone.' '.formato_money($venpag_mon);?></label>		
		</div> 
		<div class="col-lg-4 col-sm-4 col-xs-4">
			<label for="txt_ing_imp">Importe a pagar:</label> <?php echo ' '.$lbl_mone; ?>
			<input type="text"   name="txt_ing_imp" id="txt_ing_imp" class="form-control moneda2"  style="text-align:right"  value="<?php echo formato_money($imp)?>" <?php if($_POST['action2']=='caja') echo 'readonly'?>>
		</div> 
	</div> 
</form>
     
</div></div></div>
<div class="modal-footer float-right">	 
	<button type="button" class="btn btn-default pull-left"  data-dismiss="modal">Cancelar</button>
	<button type="button" class="btn btn-primary pull-right" id="btn_ing_guardar">Guardar</button>
</div>